import { ComponentType } from "react";
import { OptionProps } from "../components/Option";
import { ConfiguredMarkedInput, Mark, OverlayProps } from "../types";
/**
 * Create the configured MarkedInput component.
 */
export declare function createMarkedInput<T = Mark>(Mark: ComponentType<T>, options?: OptionProps<T>[]): ConfiguredMarkedInput<T>;
export declare function createMarkedInput<T = Mark, T1 = OverlayProps>(Mark: ComponentType<T>, Overlay: ComponentType<T1>, options?: OptionProps<T, T1>[]): ConfiguredMarkedInput<T, T1>;
//# sourceMappingURL=createMarkedInput.d.ts.map